#include <creaImageIOWxExportDlg.h>

namespace creaImageIO
{
	// CTor
   WxExportDlg::WxExportDlg(wxWindow *parent, const std::vector<std::string> storages)
    : wxDialog(parent, -1,_T("EXPORT FILES TO STORAGE"), wxDefaultPosition, wxSize(260,150))
   {
	  int size = 16;
	
	  wxStaticText * ExportText=new wxStaticText(this,-1,_T(" Storage to export: "), wxPoint(5,10));
	  wxArrayString names;
	  std::vector<std::string>::const_iterator it = storages.begin();
	  for(;it != storages.end(); it++)
	  {
		  names.Add(crea::std2wx(*it));
	  }
	  ExportCombo  = new wxComboBox(this, ID_EXPORTCOMBO_CTRL,_T(""),wxPoint(120,10), wxSize(120,25),names);
	  ExportCombo->SetSelection(0);
	//  Connect( ExportCombo->GetId(), wxEVT_COMMAND_TEXT_UPDATED , (wxObjectEventFunction) &WxDescriptorPanel::OnDicomAttribute ); 

	  // VALIDATION BUTTON
	  wxButton *Ok = new wxButton(this, -1,_T("OK"), wxPoint(5,50) );
	  Connect( Ok->GetId(), wxEVT_COMMAND_BUTTON_CLICKED , (wxObjectEventFunction) &WxExportDlg::OnOk ); 
	
	  wxButton *Cancel = new wxButton(this, wxID_CANCEL,_T("CANCEL"), wxPoint(100,50) );
	  Layout(); 
	  
	}

	WxExportDlg::~WxExportDlg(){}

	void WxExportDlg::OnOk(wxCommandEvent &event)
	{
		m_name = crea::wx2std(ExportCombo->GetValue());
		Close();
		SetReturnCode(ID_EXPORT_OK);
	}	
}
